######################################################################
#
#  broker.conf - Configuration file for the
#                @THIS_BROKER_NAME@ Broker
#
#  @CONTACT_MESSAGE@
#
######################################################################

#
#  The Indexer-Type is the type of indexing subsystem to use.
#  This should always be the first option in this file.
#  The possible values are: Glimpse or WAIS.
#
Indexer-Type @THIS_BROKER_INDEXER_TYPE@

#
#  The Broker-Directory is the Unix pathname of where this Broker lives.
#
Broker-Directory  @THIS_BROKER_DIR@

#  
#  The Port is the Unix socket number to which the Broker will listen.
#
#  If you change this, also change it in $HARVEST_HOME/brokers/Brokers.conf
#
Port  @THIS_BROKER_PORT@

#
#  The Broker-Home-Page is the URL pathname that points to the Home Page.  
#  This URL will be included in the query result set to the user.  You
#  don't need to include the http://Web-Server portion of the URL.
#
Broker-Home-Page  /Harvest/brokers/@THIS_BROKER_SHORT_NAME@/query.html

#
#  The Web-Server is hostname on which your HTTP server serving the Broker 
#  objects is running.
#
Web-Server @THIS_HTTP_HOST@

#
#  The Web-Path is the pathname where Broker-Directory is visible under
#  the WWW server.
#
Web-Path /Harvest/brokers/@THIS_BROKER_SHORT_NAME@

#
#  The Description-Tag is the Attribute name (all lowercase) of the 
#  one-line "object descriptions" that are displayed in query result sets.
#  The default Description-Tag is "description".
#
Description-Tag @THIS_BROKER_DESCRIPTION@

#
#  The Collection-Time is the "24-hour" time on which collections are
#  performed.  The time format time is "hh:mm", where hh is 00-23, 
#  and mm is 00-59.  Collections may take a long amount of time,
#  so set your collection time during non-peak hours. 
#
Collection-Time @THIS_BROKER_COLLECT@

# 
#  The Admin-Password is the password used for the administration
#  interface.  The default is none.
#
Admin-Password @THIS_BROKER_PASSWORD@

# 
#  The Admin-Process is a program which is run on startup and on exit.
#  The broker.conf filename is passed as an argument. The default is none.
#
Admin-Process @THIS_BROKER_ADMIN_PROCESS@

######################################################################
#  You probably don't need to change anything below here...
######################################################################
#
#  The Collection-Configure-File is the pathname to the configure file that 
#  specifies collections.  Defaults to Broker-Directory/admin/Collection.conf
#
Collection-Configure-File @THIS_BROKER_DIR@/admin/Collection.conf

#
#  The Clean-Rate is the rate at which the Broker performs garbage 
#  collection on its registry.  This includes removing expired objects 
#  from the Broker.  This rate is in seconds.  The default is 43200, 
#  which is every 12 hours.
#
Clean-Rate 43200

#
#  The Collection-Rate is the rate at which the Broker performs collections. 
#  A collection is when the Broker contacts other Gatherers or Brokers to
#  retrieve objects from them.   This rate is in seconds.  The default 
#  is 86400, which is every 24 hours.  It is recommended that the value 
#  be some multiple of 24 hours.
#
Collection-Rate 86400

#
#  The Log-Key is the initial setting of what events should or should not
#  be logged.  An easier interface for turning on/off logging is through 
#  the Administrative Interface HTML form.  The default is 0xffffffff which 
#  denotes to log everything.
#
Log-Key 0xffffffff

#
#  The Terse-Logging flag will direct the broker to log very terse
#  information (e.g., rather than log the URL and Gatherer-ID for
#  each item, it only logs the OID number).  If terse logging is
#  activated, then you need the admin/Registry file to cross-correlate
#  the OID numbers with the URL and other information about the item.
# 
#  The default is not to use terse logging.
# 
#  To turn on terse logging, use:
#
#      Terse-Logging on
#
Terse-Logging off

#
#  The Fast-Start flag will direct the broker to forgo the costs
#  of performing consistency checks to speed up the startup costs.
#  On startup, the broker will normally stat(2) each database object 
#  to verify that it exists before adding it to the registry.
#  This causes heavy filesystem usage for large brokers.
# 
#  The default is not to use the fast starting.
# 
#  To turn on the fast starting, use:
#
#      Fast-Start on
#
Fast-Start off

#
#  The Index-Type is the type of indexing.  There are 3 types of indexing: 
#  "Full", "Incremental", and "Per-Object".  Per-Object indexing is NOT 
#  recommended.  Administration Note: if Incremental indexing is chosen, 
#  a manual full indexing is recommended once every 2-3 collections. This 
#  is to prevent the index from becoming too fragmented.  Manual indexing 
#  can be done through the Administrative Interface HTML form.
#  The default is "Full" indexing.
#
Index-Type  Full

#
#  The Dead-Entry-Limit is the maximum number of expired/replaced registry 
#  entries allowed before garbage collecting the registry file.  If disk 
#  space is a concern a low limit is recommended.  The default is 6000.
#
Dead-Entry-Limit 6000

#
#  The Event-Queue-Limit is the maximum number of incoming requests allowed
#  at any one time.  The default is 15.
#
Event-Queue-Limit 15

#
#  The Read-Query-Timeout is a timeout when reading query requests.
#  Long queries can get segmented as they move through the TCP/IP
#  layers.  This timeout is needed to make sure we have the whole
#  query, and not just part of it.  
#
#  The value is specified in microseconds and the default is 500000
#  which corresponds to 0.5 seconds.
#
#  If you have a busy Broker with short query strings (say less than
#  500 bytes) then it should be safe to set this value to zero.  On the
#  other hand, If your log.broker seems to contain a lot of incomplete
#  queries then increase this value.
#
Read-Query-Timeout 500000

#######################################################################
# The Glimpse tags below will only apply if you choose Glimpse as your engine
#######################################################################
#
#  The Glimpse tag is the pathname to the glimpse program.
#
Glimpse @THIS_BROKER_GLIMPSE@

#
#  The GlimpseIndex tag is the pathname to the glimpseindex program.
#  If you'd like to add some extra flags to the glimpseindex command
#  (i.e., ``-n'' to index numbers) use the 'GlimpseIndex-Flags' tag.
#
GlimpseIndex @THIS_BROKER_GLIMPSEINDEX@

#
#  The GlimpseServer tag is the pathname to the glimpseserver program.
#  Set to 'false' to disable GlimpseServer. 
#
GlimpseServer @THIS_BROKER_GLIMPSESERVER@

#
#  The GlimpseServer-Host is the host on which the glimpseserver is running.
#
GlimpseServer-Host @THIS_BROKER_GLIMPSE_HOST@

#
#  The Glimpse-MaxLife is the longest amount of time a Glimpse query is
#  permitted to take.  The default is 15 minutes.  In seconds.
#
#  300 is 5 minutes.
Glimpse-MaxLife 300

#
#  If GlimpseServer-Restart is positive, then the glimpseserver will
#  be restarted every N queries.  The default is 0 - not to restart
#  glimpseserver.
#
GlimpseServer-Restart 1000

#
#  The GlimpseIndex-Option tag determines how you want glimpse to
#  optimize for space/time efficiency.  Your choices are:
#
#	Fast-Search	Builds a large index with faster searches (the default)
#	Medium		Builds a medium index with medium searches
#	Small-Index	Builds a small index with slower searches
#
#  Only is meaningful if Glimpse in your indexing/search subsystem.
#
GlimpseIndex-Option Fast-Search

#######################################################################
# The WAIS tags below will only apply if you choose WAIS as your engine
#######################################################################
#
#  WAIS-Flavor is the type of WAIS system.  Valid values are:
#  WAIS, freeWAIS, or Commercial-WAIS.
#
WAIS-Flavor @THIS_BROKER_WAIS_FLAVOR@

#
#  WAIS-Database is the name of the WAIS database that is generated if you 
#  elect to have WAIS as your indexer/search engine
#
WAIS-Database @THIS_BROKER_SHORT_NAME@

#
#  WAIS-Port is the port number that the waisserver will run on.
#
WAIS-Port @THIS_BROKER_WAIS_PORT@

#
#  WAIS-Host is the host that the waisserver will run on.
#
WAIS-Host @THIS_BROKER_WAIS_HOST@

#
#  WAIS-Log is the log file to which waisserver will log.
#
WAIS-Log @THIS_BROKER_DIR@/waisserver.log

#
#  WAIS-Index is the path to your waisindex program.
#
WAIS-Index @THIS_BROKER_WAISINDEX@

#
#  WAIS-Search is the path to your waissearch program.
#
WAIS-Search @THIS_BROKER_WAISSEARCH@

#
#  WAIS-Server is the path to your waisserver program.
#
WAIS-Server @THIS_BROKER_WAISSERVER@

#
#  WAIS-Delete is the path to your waisdelete program.  For WAIS, Inc.  only.
#
WAIS-Delete @THIS_BROKER_WAISDELETE@

#
#  WAIS-Lookup is the path to your waislookup program.  For WAIS, Inc.  only.
#
WAIS-Lookup @THIS_BROKER_WAISLOOKUP@

#
#  WAIS-Parse is the path to your waisparse program.  For WAIS, Inc. only.
#
WAIS-Parse @THIS_BROKER_WAISPARSE@

